View Issue Details

IDProjectCategoryView StatusLast Update
15705Bug reportsUser / Groups / Rolespublic2020-01-28 17:39
ReportergeraldC Assigned ToJHoeck  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.20.x 
Summary15705: button "Delete current user group" doesn't work
Description

button "Delete current user group" doesn't work.
Error message : "Could not delete user group. No group selected."

Steps To Reproduce

In the "User group list" page (index.php?r=admin/usergroups/sa/view ), clic on the "View users" icon. Then on the following page (index.php?r=admin/usergroups/sa/view/ugid/xx ), clic on the "Delete crrent user group" button.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.20.1
I will donate to the project if issue is resolvedNo
Browsern/a
Database & DB-Versionn/a
Server OS (if known)n/a
Webserver software & version (if known)n/a
PHP Versionn/a

Activities

JHoeck

JHoeck

2020-01-15 16:41

developer   ~55300

Git branch: origin bug/15705-button-delete-user-groups-not-working

JHoeck

JHoeck

2020-01-28 15:42

developer   ~55514

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29465

lime_release_bot

lime_release_bot

2020-01-28 17:39

administrator   ~55536

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master f5af63cf

2020-01-15 16:40:54

JHoeck

Details Diff
Fixed issue 15705: Button 'delete current user group' not working Affected Issues
15705
mod - application/controllers/admin/usergroups.php Diff File

Issue History

Date Modified Username Field Change
2020-01-14 09:56 geraldC New Issue
2020-01-14 17:12 cdorin Assigned To => cdorin
2020-01-14 17:12 cdorin Status new => assigned
2020-01-15 11:32 cdorin Assigned To cdorin => JHoeck
2020-01-15 16:41 JHoeck Status assigned => resolved
2020-01-15 16:41 JHoeck Resolution open => fixed
2020-01-15 16:41 JHoeck Note Added: 55300
2020-01-28 15:42 JHoeck Changeset attached => LimeSurvey master f5af63cf
2020-01-28 15:42 JHoeck Note Added: 55514
2020-01-28 17:39 lime_release_bot Note Added: 55536
2020-01-28 17:39 lime_release_bot Status resolved => closed